Manual de utilizare pentru «pamcut»(1)

NUME
pamcut - selectează o regiune dreptunghiulară a unei imagini PAM, PBM, PGM sau PPM

SINOPSIS

pamcut

[-left număr-coloană]

[-right număr-coloană]

[-top număr-rând]

[-bottom număr-rând]

[-width coloane]

[-height rânduri]

[-pad]

[-cropleft număr-coloane]

[-cropright număr-coloane]

[-croptop număr-rânduri]

[-cropbottom număr-rânduri]

[-reportonly]

[-verbose]

[stânga sus lățime înălțime]

[pnmfile]

Sunt acceptate abrevieri unice minime ale opțiunilor. Puteți utiliza două liniuțe în loc de o singură liniuță pentru a indica opțiunile. Puteți utiliza spațiu alb în locul semnului egal pentru a separa numele unei opțiuni de valoarea acesteia.

DESCRIERE

Acest program face parte din Netpbm(1).

pamcut citește o imagine PAM, PBM, PGM sau PPM ca intrare și extrage dreptunghiul specificat, și produce același tip de imagine ca rezultat la ieșire.

Puteți specifica fie dreptunghiul care urmează să fie decupat și păstrat, fie marginile care urmează să fie decupate și eliminate, fie o combinație.

Pentru a solicita tăierea marginilor, utilizați opțiunile -cropleft, -cropright, -croptop și -cropbottom pentru a indica câte rânduri sau coloane să fie eliminate.

De exemplu, -cropleft=50 -cropright=200 înseamnă să se elimine cele mai la stânga 50 și cele mai la dreapta 200 de coloane.

Pentru a specifica dreptunghiul care trebuie păstrat, utilizați opțiunile -left, -right, -top, -bottom, -width, -height și -pad.

De exemplu, -left=50 -right=200 înseamnă păstrarea celor 151 de coloane între coloanele 50 și 200 inclusiv.

Puteți codifica orice combinație de opțiuni. Ceea ce nu specificați are valori implicite. Aceste valori implicite sunt în favoarea tăierii minime și în favoarea tăierii marginilor din dreapta și de jos și (cu -pad) a umpluturii minime și a umpluturii din dreapta și de jos. Este o eroare să supra-specificați, adică să specificați toate cele trei din -left, -right, și -width sau -top, -bottom, și -height sau right precum și -cropright.

Există o modalitate mai veche de a specifica dreptunghiul de păstrat: argumentele poziționale. Argumentele erau singura modalitate disponibilă înainte de iulie 2000, dar nu ar trebui să le utilizați în aplicațiile noi. Opțiunile sunt mai ușor de reținut și citit, mai expresive și vă permit să utilizați valori implicite.

Dacă utilizați atât opțiuni, cât și argumente, cele două specificații se amestecă într-un mod nespecificat.

Pentru a utiliza argumente, specificați toate cele patru argumente stânga, sus, lățime și înălțime. stânga și sus au același efect ca și specificarea lor ca argument al unei opțiuni -left sau -top, respectiv. lățime și înălțime au același efect ca și specificarea lor ca argument al unei opțiuni -width sau -height, respectiv, atunci când sunt pozitive. În cazul în care nu sunt pozitive, au același efect ca și specificarea unei valori mai mici decât valoarea ca argument al unei opțiunii -right sau -bottom, respectiv. (De exemplu, lățime = 0 face ca tăietura să meargă până la marginea din dreapta). Înainte de iulie 2000, numerele negative nu erau permise pentru lățime și înălțime.

Intrarea se face de la intrarea standard dacă nu specificați fișierul de intrare fișier-pnm.

Ieșirea este la ieșirea standard.

pamcut funcționează pe un flux multi-imagine. Acesta taie fiecare imagine din flux în mod independent și produce o ieșire de flux multi-imagine. Înainte de Netpbm 10.32 (martie 2006), acesta ignora toate imaginile din flux, cu excepția primei.

Dacă împărțiți o singură imagine în mai multe imagini de aceeași dimensiune, pamdice este mai rapid și mai ușor decât să executați pamcut de mai multe ori.

pamcomp este de asemenea util pentru tăierea și umplerea unei imagini la o anumită dimensiune. Creați o imagine de fundal cu dimensiunile dorite ale cadrului și suprapuneți imaginea subiectului peste aceasta.

OPȚIUNI

În plus față de opțiunile comune tuturor programelor bazate pe libnetpbm (mai ales -quiet, a se vedea
 Opțiuni comune index.html#commonoptions ), pamcut recunoaște următoarele opțiuni din linia de comandă:

-left=număr-coloană
    Numărul coloanei celei mai din stânga coloane care trebuie să fie în ieșire. Coloanele din stânga acestui număr sunt tăiate. Dacă este un număr nenegativ, se referă la coloanele numerotate de la 0 la stânga, crescând spre dreapta. Dacă este negativ, se referă la coloanele numerotate de la -1 la dreapta, descrescând spre stânga.

-right=număr-coloană
    Numărul coloanei celei mai din dreapta coloane care trebuie să fie în ieșire, numerotat la fel ca pentru -left. Coloanele din dreapta acestui număr sunt tăiate.

-top=număr-rând
    Numărul de rând al celui mai de sus rând care trebuie să fie în ieșire. Rândurile care depășesc acest număr sunt tăiate. Dacă este un număr nenegativ, se referă la rândurile numerotate de la 0 în sus, crescând în jos. Dacă este negativ, se referă la coloanele numerotate de la -1 în partea de jos, descrescător în sus.

-bottom=număr-rând
    Numărul rândului celui mai de jos rând care trebuie să fie în ieșire, numerotat la fel ca pentru -top. Rândurile mai mici decât acesta sunt tăiate.

-width=coloane
    Numărul de coloane care trebuie să fie la ieșire. Trebuie să fie pozitiv.

-height=rânduri
    Numărul de rânduri care trebuie să fie la ieșire. Trebuie să fie pozitiv.

-cropleft

-cropright

-croptop

-cropbottom
    Aceste opțiuni indică numărul de rânduri sau coloane care trebuie decupate din marginile din stânga, dreapta, sus sau respectiv, jos.

    Valoarea nu trebuie să fie negativă.

    Aceste opțiuni au fost noi în Netpbm 10.85 (decembrie 2018). Înainte de aceasta dată, puteți obține același lucru cu -left, -top și valori negative pentru -right și -bottom. Nu uitați să scădeți unu în ultimul caz; de exemplu, echivalentul lui -cropright=1 este -right=-2.

-pad
    Dacă dreptunghiul pe care îl specificați nu este în întregime în interiorul imaginii de intrare, pamcut eșuează, cu excepția cazului în care specificați și -pad. În acest caz, rezultatul este umplut cu negru până la marginile specificate. Puteți utiliza această opțiune dacă trebuie să aveți o imagine de anumite dimensiuni și dispuneți de o imagine de dimensiuni arbitrare.

    pnmpad adaugă, de asemenea, margini la o imagine, dar lățimea acestora este specificată direct.

    pamcomp realizează o formă mai generală a acestei umpluturi. Creează o imagine de fundal de dimensiunile cadrului și suprapune imaginea subiectului pe aceasta. Puteți utiliza opțiuni pentru a avea imaginea subiectului în centrul cadrului sau împotriva oricărei margini și pentru a face umplutura de orice culoare (culoarea umpluturii este culoarea imaginii de fundal).Aceasta este doar presupunerea mea educată de ce ar putea eșua CI.

-reportonly
      Această opțiune face ca pamcut să scrie la ieșirea standard o descriere
      a tăierii pe care ar fi făcut-o în loc să producă o imagine de ieșire.
      A se vedea

    mai jos (#reportonly) pentru o descriere a acestei ieșiri și a modalităților
      de utilizare a acesteia.

    Această descriere este o linie de text, care conține 8 numere zecimale
      de pixeli, separate prin spații:

•   numărul coloanei de tăiere din stânga

•   numărul coloanei de tăiere din dreapta

•   numărul rândului de tăiere de sus

•   numărul rândului de tăiere de jos

•   lățimea imaginii introduse

•   înălțimea imaginii introduse

•   lățimea imaginii de la ieșire

•   înălțimea imaginii de la ieșire

    Numărul coloanei din tăietura din stânga este numărul coloanei din imaginea de intrare a celei mai din stânga coloane din imaginea de ieșire. Pentru tăietura din dreapta, acesta este pentru cea mai din dreapta coloană din ieșire. Sus și jos sunt analoge.

    Numerele coloanelor și rândurilor pot fi negative dacă ați specificat -pad și pamcut se va adăuga umplutură. De asemenea, acestea pot fi dincolo de marginea dreaptă și inferioară a imaginii de intrare.

    Exemplu:

          10 109 -1 98 150 80 100 100

    Această opțiune a fost nouă în Netpbm 11.06 (martie 2024).

-verbose
    Afișează informații despre procesare la ieșirea de eroare standard.

CONSULTAȚI ȘI
pnmcrop(1) , pamdice(1) , pamcomp(1) , pnmpad(1) , pamcat(1) , pgmslice(1) , pnm(1)

ISTORIC

pamcut a fost derivat din pnmcut în Netpbm 9.20 (mai 2001). A fost primul program Netpbm adaptat la noul format PAM și la noua bibliotecă de programare.

Predecesorul pnmcut a fost unul dintre cele mai vechi instrumente din pachetul Netpbm.

AUTOR

Drepturi de autor © 1989 pentru Jef Poskanzer.

SURSA DOCUMENTULUI
Această pagină de manual a fost generată de instrumentul Netpbm «makeman» din sursa HTML. Documentația principală este la

    http://netpbm.sourceforge.net/doc/pamcut.html

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.